import _mergeJSXProps from "@vue/babel-helper-vue-jsx-merge-props";
import "core-js/modules/es.function.name.js";
import { defineComponent } from 'vue-demi';
import { Heatmap } from '@antv/g2plot';
import BaseChart from '../../components/base';
var HeatmapChart = defineComponent({
  name: 'HeatmapChart',
  setup: function setup(props, ctx) {
    var h = this.$createElement;
    return function () {
      return h(BaseChart, _mergeJSXProps([{
        "attrs": {
          "chart": Heatmap
        }
      }, ctx.attrs, {}, props]));
    };
  }
});
/* istanbul ignore next */

HeatmapChart.install = function (app) {
  app.component(HeatmapChart.name, HeatmapChart);
};

export default HeatmapChart;