import _mergeJSXProps from "@vue/babel-helper-vue-jsx-merge-props";
import "core-js/modules/es.function.name.js";
import { defineComponent } from 'vue-demi';
import { BidirectionalBar } from '@antv/g2plot';
import BaseChart from '../../components/base';
var BidirectionalBarChart = defineComponent({
  name: 'BidirectionalBarChart',
  setup: function setup(props, ctx) {
    var h = this.$createElement;
    return function () {
      return h(BaseChart, _mergeJSXProps([{
        "attrs": {
          "chart": BidirectionalBar
        }
      }, ctx.attrs, {}, props]));
    };
  }
});
/* istanbul ignore next */

BidirectionalBarChart.install = function (app) {
  app.component(BidirectionalBarChart.name, BidirectionalBarChart);
};

export default BidirectionalBarChart;