import _mergeJSXProps from "@vue/babel-helper-vue-jsx-merge-props";
import "core-js/modules/es.function.name.js";
import { defineComponent } from 'vue-demi';
import { WordCloud } from '@antv/g2plot';
import BaseChart from '../../components/base';
var WordCloudChart = defineComponent({
  name: 'WordCloudChart',
  setup: function setup(props, ctx) {
    var h = this.$createElement;
    return function () {
      return h(BaseChart, _mergeJSXProps([{
        "attrs": {
          "chart": WordCloud
        }
      }, ctx.attrs, {}, props]));
    };
  }
});
/* istanbul ignore next */

WordCloudChart.install = function (app) {
  app.component(WordCloudChart.name, WordCloudChart);
};

export default WordCloudChart;