import _mergeJSXProps from "@vue/babel-helper-vue-jsx-merge-props";
import "core-js/modules/es.function.name.js";
import { defineComponent } from 'vue-demi';
import { Chord } from '@antv/g2plot';
import BaseChart from '../../components/base';
var ChordChart = defineComponent({
  name: 'ChordChart',
  setup: function setup(props, ctx) {
    var h = this.$createElement;
    return function () {
      return h(BaseChart, _mergeJSXProps([{
        "attrs": {
          "chart": Chord
        }
      }, ctx.attrs, {}, props]));
    };
  }
});
/* istanbul ignore next */

ChordChart.install = function (app) {
  app.component(ChordChart.name, ChordChart);
};

export default ChordChart;